% !TEX root = ../toptesi-scudo-example.tex
% !TEX encoding = UTF-8 Unicode
%*****************************************************************
%*********************** Third chapter ***************************
%*****************************************************************



\chapter{Simulation analysis and assessment of GNSS-based baseline length computation}
\label{ch:GNSSrangingAssessment}

% ********************** Define Graphics Path ********************
\graphicspath{{Chapter4/Figures/paper/}}

In the perspective of a tight integration of collaborative ranging measurements as additional information to the positioning problem, a model of their statistical distribution has to be accurately known. This hold especially for navigation filters which rely on Bayesian estimation.
The scope of this chapter is indeed to provide a detailed analysis of the baseline estimation methods presented in Chapter \ref{ch:rangingAlgorithms} by means of simulation and experimental analysis specifically designed for this purpose. Although differential techniques have been widely investigated in geodesy and within the framework of relative positioning and \ac{DGPS} \cite{wang1998,Teunissen1999,Wang2002}, few contributions addressed the statistical characterization of the baseline length between two \ac{GNSS} receivers. \ac{DGPS} and \ac{RTK} typically exploit the baseline measurement to tackle the problem of error mitigation. They aim at providing high-precision and high-accuracy positioning solutions within specifically-designed infrastructures including survey-grade base station and a "radiobeacon" transmitter that broadcasts correction data (i.e. fixed reference base station and fixed receiver or base-rover) \cite{kaplan2017understanding}. The statistical distribution of the baseline length is often ignored or oversimplified and heuristic rules are used to select the best subset of satellites for the computation of differential corrections. Our interest in a better understanding of the statistical properties of the baseline measurement is oriented to a more suitable design of a hybrid navigation filter capable to integrate such measurements along with \ac{GNSS} standalone measurements. 

% SPIEGARE QUESTA FRASE
An extensive work was pursued in this thesis to characterize the \ac{IAR} methods which, differently from the state-of-the-art differential solutions, directly provides the \textit{baseline length} without computing the \textit{full baseline vector}, according to the nomenclature of Chapter \ref{ch:rangingAlgorithms}. This key-aspect impact on its statistical properties.

Therefore, an assessment of the \ac{IAR} statistical model presented in Chapter \ref{ch:rangingAlgorithms} is provided in this chapter by means of simulation environment in ideal conditions and by means of experimental campaigns. To the purpose, a geometrical framework for relative distance of pairwise cooperating receivers was proposed in \cite{minetto2018PLANS} and it is recalled hereafter.

In order to perform a fair comparison among the different baseline computation methods which typically exploit multiple satellites weighted measurements, a weighted \ac{IAR} computation, named \ac{W-IAR} is then proposed in Section \ref{sec:baseline}. Eventually, differential methods and \ac{W-IAR} will be compared in terms of 

\begin{itemize}
\itemsep0em
\item measurement statistical distribution and model
\item inter-measurements cross-correlation w.r.t. standalone GNSS measurements
\end{itemize}

to properly support analysis and results of the following chapters.

%\begin{figure}
%\centering
%\includegraphics[width=0.9\columnwidth,trim={0.5cm 0.5cm 0.5cm 0.5cm},clip]{ch4_LTP_ECEF_3.pdf}
%\caption{{\small Local Tangent Plane to the $\mathbf{x}_i$ point on the Earth's surface (\textbf{LETTERE TUTTE DA CAMBIARE})}}
%\label{fig:ENUref}
%\end{figure} 
%
%\begin{figure}[h!]
%\centering
%\includegraphics[width=\columnwidth,trim={0.1cm 2.45cm .1cm 1.1cm},clip]{ch4_HemisphericalCap.pdf}
%\caption{{\small Hemispherical cap for relative coordinates definition w.r.t. the LTP in $\mathbf{x}_i$}}
%\label{fig:HemisphericalRef}
%\end{figure} 

\section{Analysis and assessment of \ac{IAR} model}
\label{sec:IARass}

This section provides a statistical analysis oriented to the assessment of the \ac{IAR} statistical model presented in Chapter \ref{ch:rangingAlgorithms}. The validity of the model is fundamental to the aggregation of multiple \ac{IAR} measurements through weighted strategies and in turn to a reliable initialization and feeding of the hybrid navigation filters which will be described in Chapter \ref{ch:navFilters}. 
%Indeed, although a discussion on the \ac{IAR} bias could be worthy, the following investigation is mainly focused on the variance of the \ac {IAR} measurement. 

%To this aim, the following results are mainly addressed to the description of the variance behaviour w.r.t. to the relative position of involved agents and the common satellite in \ac{LOS}, namely \textit{shared satellite}. 


\subsection{Geometrical Model}
\label{sub:geomodel}
The collection of results presented in this section highlights the behaviour of the statistical moments of the \ac{IAR} equation \eqref{eq:idealIAR}, related to the triangular geometry that has been defined by the cooperating pair composed by $i$-th and $j$-th agent and the shared satellite $s$. 

\begin{figure}[!ht]
\centering
\includegraphics[width=8cm,trim={0.5cm 4.0cm 0.5cm 0.1cm},clip]{hemisphere.pdf}
\caption{{\small \added[id=1]{H}emispherical cap lying on the \ac{LTP} centered in $\mathbf{x}_T$.}}
\label{fig:HemisphericalRef}
\end{figure}

An exhaustive evaluation of the mean and variance of a single \ac{IAR} measurement was performed by varying the position of the shared satellite over the hemispherical surface depicted in \ref{fig:HemisphericalRef}. 
%\begin{figure*}[!ht]
%    \centering
%    \begin{subfigure}[b]{0.49\linewidth}
%{\includegraphics[width=\linewidth,trim={.1cm 0.5cm 0.1cm 0.5cm},clip]{ch4_LTP_ECEF_3.pdf}}\hfill
%        \caption{}
%        \label{fig:ENUref}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\linewidth}
%{\includegraphics[width=\linewidth,trim={.1cm 0.1cm 0.1cm 0.1cm},clip]{ch4_HemisphericalCap.pdf}}
%        \caption{}
%        \label{fig:HemisphericalRef}
%    \end{subfigure}
%\caption{\ac{LTP} to the $\mathbf{x}_i$ point on the Earth's surface hemispherical cap for relative coordinates definition.} 
%\label{fig:euclideanBasics}
%\end{figure*} 
The spherical cap in Figure \ref{fig:HemisphericalRef} was intended to lie on the \ac{LTP} of the target agent $i$, (see \replaced[id=1]{Appendix}{the} \ref{appendix:referenceFrame} for details) and it corresponds to the locus of points covered by any possible satellites orbiting the Earth at a given distance $r_i^s$. It is worth remarking that although a real satellite-to-agent range changes with the position of satellite along its trajectory, this aspect is poorly relevant in terms of relative geometry of the two agents. 

Let recall \eqref{eq:generalizedIARvar} as generalized equation to compute the \ac{IAR} variance $\sigma_{\hat{d}}=\text{Var}(\hat{d}_{\text{\tiny{(IAR)}}})$ derived for the \ac{IAR} as a function of the standard deviations of pseudorange, the angle formed by the steering vectors and the positions of the agents. In order to investigate the relationships between $\sigma_{\hat{d}}$ and the system geometry, the values of the three $\sigma$-parameters were kept fixed while the relative coordinates of the shared satellite varied.
Given an intuitive strong dependency of the \ac{IAR} accuracy from the uncertainty on the angle $\gamma$ included between the steering vectors, the examples reported hereafter are obtained from three representative variations of this parameter: \textit{null} (a), \textit{small} (b) and \textit{severe} (c) error variance on $\gamma$, by acting on the parameter $\hat{\sigma}_\gamma$. The values has been chosen according to their relationship w.r.t. the position error covariance of the agents. Even neglecting any \ac{GDOP}-related effects, it can be shown that the value of $\sigma_{\hat{\gamma}}$ also varies according to the position of the shared satellite.

\subsection{Variance behaviour in single satellite \ac{IAR}}
\label{sub:varBehav}

The following sample static scenario includes an aiding agent lying on the \ac{LTP} centered in its true location $\mathbf{x}_T$ and an aiding agent located at a distance of \SI{100}{\meter} N-E direction. We are interested in observing the behaviour of $\sigma_{\hat{d}}$ varying the position of the shared satellite, $\mathbf{x}_s$. 
 
Figure \ref{fig:skyplotsSTD} and Figure \ref{fig:skyplotsBIAS} present the inverse relationship between \ac{IAR} bias and variance w.r.t. the shared satellite position. All the figures are obtained by Monte Carlo simulations counting for 100.000 trials for each azimuth-elevation pair with a granularity of 1 degree on elevation and 2 degrees on azimuth.

\begin{figure*}[!h]
\centering
    \begin{subfigure}[b]{0.32\linewidth}
{\includegraphics[width=\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_0elNoSteer_BIAS.eps}}
        \caption{}
    \end{subfigure}
    \begin{subfigure}[b]{0.32\linewidth}
{\includegraphics[width=\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_0elSteer_BIAS.eps}}
        \caption{}
    \end{subfigure}
        \begin{subfigure}[b]{0.32\linewidth}
{\includegraphics[width=\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_0elHighSteer_BIAS.eps}}
        \caption{}
    \end{subfigure}
    \caption{\small {Simulated evaluation of the bias of the \ac{IAR} measurements according to the position of the shared satellite and varying the magnitude of $\sigma_{\hat{\gamma}}$ in $[0, 1\cdot 10^{-7}, 5\cdot 10^{-7}]$, $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.}}
    \label{fig:skyplotsBIAS}
\end{figure*}


\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.32\textwidth}
{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_SKYPLOT01_0elNoSteer.eps}}
        \caption{}
        \label{fig:skyPlot_a_std}
    \end{subfigure}
    \begin{subfigure}[b]{0.32\textwidth}
{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_0elSteer_BIAS.eps}}
        \caption{}
        \label{fig:skyPlot_b_std}
    \end{subfigure}
        \begin{subfigure}[b]{0.32\textwidth}
{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_SKYPLOT03_0elHighSteer.eps}}
        \caption{}
        \label{fig:skyPlot_c_std}
    \end{subfigure}
    \caption{Analytic evaluation of $\sigma_{\hat{d}}$ according to the position of the shared satellite and varying the magnitude of $\sigma_{\hat{\gamma}}$ in $[0, 1\cdot 10^{-7}, 5\cdot 10^{-6}]$, $d=100$ m,$\sigma_i=\sigma_j=7.03$ m.}
    \label{fig:skyplotsSTD}
\end{figure*}

As it can be observed in the aforementioned plot series, the value of $\sigma_{\hat{d}}$ intuitively increases with $\sigma_{\hat{\gamma}}$ while the its dynamic range over the skyplot overall reduces with its increment. The value $\sigma_\gamma=5\cdot 10^{-7}$ was chosen because it is representative of a further inversion phenomenon of both bias and variance independent behaviours over the hemispherical sample space: higher $\sigma_{\hat{d}}$ regions tends to turn in region characterized by lower value $\sigma_{\hat{d}}$ according to the uncertainty on the angle $\hat{\gamma}$.

In order to extend the discussion, the value of $\sigma_\gamma=5\cdot 10^{-7}$ was chosen, and Figure \ref{fig:azrotation} shows how varying the position of the aiding agent, the symmetry is maintained w.r.t. to a direction orthogonal to the \ac{LoS} between the cooperating agents.

%BIAS SIMMETRY
\begin{figure}[ht!]
\centering
\includegraphics[width=\linewidth,trim={0cm 0cm 0cm 0cm},clip]{ch4_horizontalpeerMoving.eps}
\caption{\small  Analytic evaluation of $\sigma_{\hat{d}}$ varying the azimuth of the aiding agent $j$, w.r.t. the aided agent $i$. Parameters: $\sigma_{\hat{\gamma}}=0.5\cdot 10^{-6}$ $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.}
\label{fig:azrotation}
\end{figure}

By changing the elevation of the aiding agent, such as in Figure \ref{fig:elevation}, one can notice that the minimum variance can be observed for satellites roughly located in the same area of the skyplot nearby the relative location of the aiding agent. We remark that high values of $\sigma_{\hat{\gamma}}$ reduce the range of the standard deviation which is this case approximately equal to \si{1}{ m}, meaning the the difference w.r.t. to satellites located in different portion of the sky might be not remarkable.

\begin{figure}[ht!]
\centering
\includegraphics[width=\linewidth,trim={0cm 0cm 0cm 0cm},clip]{ch4_flyinglpeerMoving.eps}
\caption{\small Analytic evaluation of $\sigma_{\hat{d}}$ both the azimuth and elevation angle of the aiding agent $j$, w.r.t. the aided agent $i$. Parameters: $\sigma_{\hat{\gamma}}=0.5\cdot 10^{-6}$ $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.} \label{fig:elevation}
\end{figure}





%%% SIMULATED VALIDATION OF FORMULA
%\begin{figure*}[htbp]
%\centering
%\subfloat[\label{fig:skyPlot_A_rotation}]{\includegraphics[width=0.30\textwidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{fig/err_noSteer.eps}}\hfill
%\subfloat[\label{fig:skyPlot_B_rotation}] {\includegraphics[width=0.30\textwidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{fig/err_mediumSteer.eps}}\hfill
%\subfloat[\label{fig:skyPlot_c_rotation}] {\includegraphics[width=0.30\textwidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{fig/err_highSteer.eps}}\hfill
%\caption{\small Difference between $\sigma_{\hat{I}}$ estimated from Monte Carlo simulation and from theoretical formula \eqref{eq:varIAR_uncorr} according to the position of the shared satellite and varying the magnitude of $\sigma_{\hat{\gamma}}$ in $[0, 1\cdot 10^{-7}, 0.5\cdot 10^{-6}]$. $d=100$ m, $\sigma_\tA=\sigma_\tB=7.03$ m..} \label{fig:skyplotDiff}
%\end{figure*}
%
%%\begin{figure*}[!h]
%    \centering
%    \begin{subfigure}[b]{0.32\textwidth}
%{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_err_noSteer.eps}}
%        \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.32\textwidth}
%{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_err_mediumSteer.eps}}
%        \caption{}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.32\textwidth}
%{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch3_err_highSteer.eps}}
%        \caption{}
%    \end{subfigure}
%    \caption{Difference between $\sigma_{\hat{d}}$ estimated from Monte Carlo simulation and from theoretical formula \eqref{eq:varIAR_uncorr} according to the position of the shared satellite and varying the magnitude of $\sigma_{\hat{\gamma}}$ in $[0, 1\cdot 10^{-7}, 0.5\cdot 10^{-6}]$. $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.}\label{fig:skyplotDiff}
%\end{figure*}
%
%
%

%
%%BIAS SIMMETRY
%\begin{figure}[ht!]
%\centering
%\includegraphics[width=\linewidth,trim={0cm 0cm 0cm 0cm},clip]{ch3_horizontalpeerMoving.eps}
%\caption{\small  Analytic evaluation of $\sigma_{\hat{d}}$ varying the azimuth of the aiding agent $j$, w.r.t. the aided agent $i$. Parameters: $\sigma_{\hat{\gamma}}=0.5\cdot 10^{-6}$ $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.} \label{fig:skyplotsRotation}
%\end{figure}
%
%\begin{figure}[ht!]
%\centering
%\includegraphics[width=\linewidth,trim={0cm 0cm 0cm 0cm},clip]{ch3_flyinglpeerMoving.eps}
%\caption{\small  Analytic evaluation of $\sigma_{\hat{d}}$ both the azimuth and elevation angle of the aiding agent $j$, w.r.t. the aided agent $i$. Parameters: $\sigma_{\hat{\gamma}}=0.5\cdot 10^{-6}$ $d=100$ m, $\sigma_i=\sigma_j=7.03$ m.} \label{fig:skyplotsRotation}
%\end{figure}
%
%
%The symmetry of Figure \ref{fig:skyplotsSTD} is preserved in case of azimuthal rotation of the aiding peer, as highlighted in Figure \ref{fig:skyplotsRotation}, where the effect of the movement of agent $j$ is shown varying both elevation and azimuth w.r.t. the agent $i$.

%


\subsection{Analytic formula assessment }

A sample comparison of the experimental values and results obtained from the generalized equation \eqref{eq:generalizedVar} is provided in this section. 
 
The skyplots in Figure \ref{fig:formulaComparison} are obtained as the difference between simulated and theoretical $\sigma_{\hat{d}}$ in the same scenario of Figure \ref{fig:skyplotsSTD} and Figure \ref{fig:skyplotsBIAS}. %, which is taken as an example to test the validity of the theoretical model.

As the steering error $\sigma_{\hat{\gamma}}$ increases, a non-negligible error can be observed in the areas characterized by high error standard deviation. This is particularly visible in the skyplot in Figure \ref{fig:skyPlot_C_rotation} belonging to a plot series obtained by considering the values of $\sigma_{\hat{d}}$ considered in Figure \ref{fig:skyplotsSTD}.
This behaviour can be reasonably attributed to the neglected cross-correlated terms in \eqref{eq:varIAR_uncorr}, that become more relevant as $\sigma_{\hat{\gamma}}$ increases \eqref{eq:generalizedIARvar}, as well as to the truncation of the Taylor expansion. However, in this example the simulated \ac{IAR} variance showed a difference which is in this case less than \SI{0.6}{\meter} w.r.t. the theoretical value given by \eqref{eq:varIAR_uncorr}.

\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.32\textwidth}
{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch4_err_noSteer.eps}}
        \caption{}
        \label{fig:skyPlot_A_rotation}
    \end{subfigure}
    \begin{subfigure}[b]{0.32\textwidth}
{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch4_err_mediumSteer.eps}}
        \caption{}
        \label{fig:skyPlot_B_rotation}
    \end{subfigure}
        \begin{subfigure}[b]{0.32\textwidth}
{\includegraphics[width=1\linewidth,trim={1.4cm 0cm 1.4cm 0cm},clip]{ch4_err_highSteer.eps}}
        \caption{}
        \label{fig:skyPlot_C_rotation}
    \end{subfigure}
    \caption{\small {Analytic evaluation of $\sigma_{\hat{d}}$ according to the position of the shared satellite and varying the magnitude of $\sigma_{\hat{\gamma}} \in [0, 1\cdot 10^{-7}, 5\cdot 10^{-6}]$, $d=100$ m,$\sigma_i=\sigma_j=7.03$ m.}}
    \label{fig:formulaComparison}
\end{figure*}

In case of availability of more than one satellite in common visibility, a suitable theoretical formula allows to make an a priori choice of the shared satellite that will provide the best trade-off between bias and variance of the error of the estimated \ac{IAR}. Furthermore, the formula can be split in three terms which can be estimated without the mutual knowledge of the explicit positions of the users. Average values and variances of the random variables involved can be derived by the users to obtain an estimation of the \ac{IAR} variance which can be in turn used within further waiting strategies.

\subsection{Experimental framework in a controlled static environment}
\label{sub:experiment0}
A further validation of the \ac{IAR} statistical model can be performed in a controlled environment, exploiting realistic \ac{RF} signals, but preventing the non-modeled impairments from affecting the dataset as in an real scenario such as multipath scattering.
Two static receivers have been simulated by means of a professional \ac{RFCS} IFEN\textsuperscript{\texttrademark} NavX\textsuperscript{\tiny\textregistered}, as shown in the scheme in Figure \ref{fig:SimuSchemePLANS}. Such a setup guaranteed a considerable flexibility in the configuration of all the involved parameters. Agents have been simulated with fixed baseline distance $d_{ij} = \SI{126.5962}{\meter}$, as obtained from euclidean distance of \ac{LLA} coordinates configured at the \ac{RFCS}, and reported in Table \ref{tab:coordinatesIFEN}.

\begin{figure}[h!]
\centering
\includegraphics[height=8cm,trim={0.0cm 0.0cm 0.0cm 0.0cm},clip]{ch4_schemaRealisticSimulation.png}
\caption{{\small Simulation test-bench for \ac{IAR} performance assessment processing realistic \ac{RF} signals.}}
\label{fig:SimuSchemePLANS}
\end{figure} 



\begin{table}
\footnotesize
\centering
\caption{LLA Coordinates of simulated static agents in a controlled environment.}\label{tab:coordinatesIFEN}
\begin{tabular}{lccc}
\toprule
\toprule
\textbf{Agent} & \textbf{Latitude} (deg)       & \textbf{Longitude} (deg)  & \textbf{Altitude} (m) \\ \midrule\midrule
Aiding & 45.065274   &   7.658969 &  311.973  \\ 
Aided  & 45.064775   &   7.650414 &  311.635  \\ \bottomrule
\end{tabular}
\end{table}


The same scenario has been scheduled at different times (4-hours step) to collect several constellation geometries. Signals have been recorded as digitalized raw samples by means of Ettus Research\textsuperscript{\texttrademark} Universal Software Radio Peripheral (USRP) N210 front-end \cite{lopresti2014software}. The samples have been post-processed through MATLAB\textsuperscript{\textregistered} NavSAS GNSS software receiver to get code-based observables and positioning solutions. The two independent software-defined \ac{GNSS} receivers performed the positioning autonomously and asynchronously, both using identical reference oscillators RFX OS364-13 \ac{OCXO}. The most relevant signal generation and acquisition settings are reported in Table \ref{tab:parameters}.

\begin{table}[!htb]
\footnotesize
    \caption{Hardware configuration.}
    \begin{minipage}{.5\linewidth}
      \caption{Ettus Research USRP N210.}
      \label{tab:parameters}
      \centering
        \begin{tabular}{lcc}
\toprule\toprule
\textbf{Parameter}  & \textbf{Value/Unit}     \\ \midrule\midrule
Constellation/Signal &  GPS/L1  \\
No. of Channels & 10  \\
Integration time & 20 s  \\ 
Doppler step & 125 Hz \\
Coherent accumulations &  5 \\
Freq. Lock Loop time & 10 ms \\
\ac{PVT} rate & 1 Hz
\\ \bottomrule
\end{tabular}
    \end{minipage}%
    \begin{minipage}{.5\linewidth}
      \centering
        \caption{NavSAS Software Receiver.}
        \begin{tabular}{lcc}
\toprule\toprule
\textbf{Parameter}  & \textbf{Value/Unit}     \\ \midrule\midrule
Carrier frequency &  $1575.42$ MHz  \\
Intermediate frequency &  $0$ Hz  \\
Sampling Frequency &  $5$ MHz\\
Quantization bit & $16$ \\
Sampling mode & 'IQ' \\
Reference clock & External \\
Gain & 38 dB
 \\ \bottomrule
\end{tabular}
    \end{minipage} 
\end{table}


%\begin{table}
%\small
%\centering
%\caption{USRP front-end and NavSAS SwRx configuration parameters}
%\label{tab:parameters}
%\begin{tabular}{lc}
%\toprule\toprule
%\textbf{Parameter}   & \textbf{Value}     \\ \midrule\midrule
%Sampling Frequency &  5 Mhz  \\
%Quantization bits &  16 bit  \\
%Acquisition time &  600 s  \\ 
%Processing time &  540 s \\
%Navigation time &  480 s \\
%Doppler step &  125 Hz \\
%Search space &  10125 Hz \\
%Coherent accumulations &  5 \\
%Freq. Lock Loop time &  10 ms \\
%Channels &  10 \\
%positioning rate &  1 Hz\\
%System &  GPS \\ \bottomrule
%\end{tabular}
%\end{table}

Output \ac{GNSS} observables are processed in a \ac{CRU}, implemented in MATLAB\textsuperscript{\textregistered} through \ac{IAR} algorithm. Non-synchronized \ac{GNSS} receivers provided observables and positioning data at different epochs depending on their signal processing loops (i.e. acquisition and tracking) and navigation algorithm as referred in Chapter \ref{ch:rxarchitecture}. 
The time misalignment between the measurements epochs has been compensated through ephemeris to avoid time-inconsistency between independent measurements, according to ephemeris-based misalignment compensation \eqref{eq:compensated_range}. By considering a relatively short time-span (600 s) for the observation of the satellites, the de-trended pseudorange measurement have been considered as an ergodic process. Their variance has been estimated by means of a second order discrete derivative \cite{detrendingPseudo}. \textit{Time variance} was hence considered as \textit{sample variance} estimated from such modified time series and used to evaluate the theoretical formula.
Hereafter, for sake of readability, the \ac{GPS} satellites will be identified through the number of their transmitted \ac{PRN} codes.


%\begin{figure*}[h!]
%\centering
%\subfloat[\label{fig:1a}]{\includegraphics[width=0.33\textwidth,trim={0.8cm 0.8cm 0.8cm 0.8cm},clip]{fig/Simu00_skypolar_042018_bigText_new.eps}}\hfill
%\subfloat[\label{fig:1b}] {\includegraphics[width=0.33\textwidth,trim={0.8cm 0.8cm 0.8cm 0.8cm},clip]{fig/Simu08_skypolar_042018_bigText_new.eps}}\hfill
%\subfloat[\label{fig:1c}]{\includegraphics[width=0.33\textwidth,trim={0.8cm 0.8cm 0.8cm 0.8cm},clip]{fig/Simu12_skypolar_042018_bigText_new.eps}}
%\caption{$\sigma^2$-plot with superposition of satellites position observed within experimental simulation} \label{fig:multiFigureSuperposition}
%\end{figure*}


%\begin{figure*}[h!]
%\centering
%\subfloat[\label{fig:1a}]{\includegraphics[width=0.33\textwidth,trim={0.8cm 0.6cm 0.8cm 0.8cm},clip]{fig/Simu00_ranking_042018_bigText_new.eps}}\hfill
%\subfloat[\label{fig:1b}] {\includegraphics[width=0.33\textwidth,trim={0.8cm 0.6cm 0.8cm 0.8cm},clip]{fig/Simu08_ranking_042018_bigText_new.eps}}\hfill
%\subfloat[\label{fig:1c}]{\includegraphics[width=0.33\textwidth,trim={0.8cm 0.6cm 0.8cm 0.8cm},clip]{fig/Simu12_ranking_042018_bigText_new.eps}}
%\caption{Ranking plot of all the shareable satellites based on the STD experimentally observed and the interpolation of the analytic model} \label{fig:multiFigureSuperposition_rank}


\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.32\textwidth}
{\includegraphics[width=1\linewidth,trim={0.8cm 0.8cm 0.8cm 0.8cm},clip]{Simu00_skypolar_042018_bigText_new.eps}}
        \caption{}
        \label{fig:1a}
    \end{subfigure}
    \begin{subfigure}[b]{0.32\textwidth}
{\includegraphics[width=1\linewidth,trim={0.8cm 0.8cm 0.8cm 0.8cm},clip]{Simu08_skypolar_042018_bigText_new.eps}}
        \caption{}
        \label{fig:1b}
    \end{subfigure}
        \begin{subfigure}[b]{0.32\textwidth}
{\includegraphics[width=1\linewidth,trim={0.8cm 0.8cm 0.8cm 0.8cm},clip]{Simu12_skypolar_042018_bigText_new.eps}}
        \caption{}
        \label{fig:1c}
    \end{subfigure}
    \caption{\small{$\sigma^2$ skyplot with superposition of satellites azimuth and elevation observed within experimental simulation.}}
    \label{fig:multiFigureSuperposition}
\end{figure*}


\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.45\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{Simu00_ranking_042018_new.eps}}
        \caption{}
        \label{fig:1da}
    \end{subfigure}
    \begin{subfigure}[b]{0.45\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{Simu08_ranking_042018_new.eps}}
        \caption{}
        \label{fig:1db}
    \end{subfigure}
        \begin{subfigure}[b]{0.45\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{Simu12_ranking_042018_new.eps}}
        \caption{}
        \label{fig:1dc}
    \end{subfigure}
    \caption{\small{Ranking plot of all the shareable satellites based on the \ac{STD} experimentally observed and the interpolation of the analytic model.}}
    \label{fig:multiFigureSuperposition_rank}
\end{figure*}

Experimental and theoretical values of $\sigma_\hat{d}$ are shown for different satellites and datasets in Figure  \ref{fig:multiFigureSuperposition_rank}. A good match of the experimental and analytic values is overall present. For given sets of satellites such as \ac{PRN}s 21,7,12,11,16 in Figure \ref{fig:1da}
, \ac{PRN} 28 in \ref{fig:1db} and \ac{PRN}s 26,1,22,18,30,21 in \ref{fig:1dc}, the relative estimation error is less than the $15 \%$, such matches are highlighted in Figure \ref{fig:multiFigureSuperposition_rank} with grey circles. 

Considering the satellites for which we observe the largest mismatch, we can notice that they are located nearby the symmetry axis of the skyplot in Figure \ref{fig:multiFigureSuperposition}.
%As it can be observed in the skyplot of Figure \ref{fig:multiFigureSuperposition} a remarkable mismatch is instead verified for the satellites located nearby the symmetry axis of the skyplot. 

In fact, Recalling the results presented in Section \ref{sub:varBehav} and shown in Figure \ref{fig:formulaComparison}, this region is known to lead to inaccurate theoretical estimations when the value of $\sigma_{\hat{\gamma}}$ is not negligible. Although the experimental values of $\sigma_{hat{\gamma}}$ was not computed at the time of the experiment, it can be assumed greater than $5\cdot 10^-6$.
 
%\begin{figure}[h!]
%\centering
%\includegraphics[height=8cm,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{PLANS_combined.eps}
%\caption{{\small Simulation comparison between theoretical model and measured standard deviation for IAR performance assessment in controlled environment.}}
%\label{fig:sigmaComparison}
%\end{figure} 


\subsection{Experimental assessment using COTS GNSS Receivers}
\label{sub:experiment}

The results from an on-field experimental test are hereafter exploited to further assess the validity of the theoretical findings in real environment. The real data were used to obtain an estimate of the \ac{IAR} variance considering a real satellite constellation and the real receivers positions during the experiments. By exploiting raw pseudorange measurements provided by \ac{COTS} u-Blox\textsuperscript{\textregistered} receivers, two different experimental campaigns have been pursued investigating the \ac{IAR} computation in real environment:

\begin{itemize}
\item a \textit{static scenario}, where both the \textit{aided} and \textit{aiding} receiver performed static positioning at different baseline lengths.
\item a \textit{semi-dynamic scenario}, in which the aiding receivers was kept static while the aided receiver was driven in a dense urban scenario.
\end{itemize}
The tests locations were set in Turin in correspondence of the geodetic coordinates included in Table \ref{tab:coordinatesLLA} and \ref{tab:tests}.

The hardware setup of the experiments, shown in Figure \ref{fig:SimuScheme}, included two COTS u-blox M8-T receivers identically configured. The navigation solution rate was set to \SI{5}{\hertz} including multi-constellation position computation.

\begin{figure}[h!]
\centering
\includegraphics[height=8cm,trim={0cm 0cm 0cm 0cm},clip]{ch4_schemaRealSimulation.png}
\caption{{\small Simulation test-bench for performance assessment of GNSS-based ranging methods in real environment.}}
\label{fig:SimuScheme}
\end{figure} 

The first M8-T receiver was connected to a georeferenced geodetic antenna (whose coordinates are reported in Table \ref{tab:coordinatesLLA}) while the second was installed on-board a car along with a dual-frequency Swift\textsuperscript{\texttrademark} Piksi Multi receiver used as reference. They were both connected to the same Aero Antenna AT1675-382. No clock synchronization was exploited between the two u-Blox receivers: pseudorange measurements and related positioning solutions were collected according to the independent on-board clocks as performed for the controlled experiment. The logged raw pseudorange measurements obtained from the M8-Ts were re-processed offline in order to determine a plain \ac{LMS} positioning solution considering only the measurements from \ac{GPS} satellites. 
%The PVT misalignment of the two asynchronous receivers took into account the network latency in the cooperative ranging frameworks.
The inter-agent distances were then computed according to the \ac{IAR} method \eqref{eq:realIAR}.

\begin{table}
\footnotesize
\centering
\caption{LLA Coordinates of georeferenced geodetic antenna (aiding peer).}\label{tab:coordinatesLLA}
\begin{tabular}{ccc}
\toprule
\toprule
\textbf{Latitude} (deg)       & \textbf{Longitude} (deg)  & \textbf{Altitude} (m) \\ \midrule\midrule
45.065277   &   7.658948 &  311.804  \\ \bottomrule
\end{tabular}
\end{table}


\begin{table}[h!]
\footnotesize
\centering
\caption{Test scenarios for GNSS-based ranging (LLA coordinates of the aided peer).}
\label{tab:tests}
\begin{tabular}{lcccc}
\toprule
\toprule
\textbf{Name}      & \textbf{Latitude (deg)} & \textbf{Longitude (deg)} & \textbf{Baseline} (m) & \textbf{\added[id=1]{Test} Duration} (s) \\ \midrule\midrule
\textbf{S00} & 45.065407	   & 7.657622  & $~100$       & $565.1$ \\	
\textbf{S01} & 45.066450    & 7.658056  & $~126$       & $640.2$ \\
\textbf{S02} & 45.068365    & 7.656880  & $~360$       & $606.2$ \\
\textbf{S03} & 45.070769    & 7.656095  & $~630$       & $622.6$ \\ 
\midrule
\textbf{D01} & Dynamic & Dynamic                & $~200-1000$  & $1.3866 \cdot 10^3$ \\ \bottomrule
\end{tabular}
\end{table}


%\begin{figure}[h!]
%\centering
%\includegraphics[height=9cm,trim={0cm 0.0cm 0.0cm 0.0cm},clip]{MAP_tests.pdf}
%\caption{{\small Scenarios map of static positions and dynamic trajectory.}}
%\label{fig:testMap}
%\end{figure} 

The results presented in this section are obtained by selecting user-to-user output ranges characterized by a reasonable time difference $\Delta t$ between the measurements of the the collaborating receivers. By considering high values of $\Delta t$, indeed the correction provided through \eqref{eq:compensated_range} does not compensate effectively the time-inconsistency of the data. Therefore the maximum $\Delta t$ considered for the IAR computation was $50\cdot 10^{-3}$\,s, which guarantees a reasonable margin for the misalignment of different high-rate positioning solutions provided by popular \ac{COTS} receivers \cite{salih2013suitability}.%, thus typically higher than the latency targeted by the current generation of telecommunication networks \cite{Soldani5glatency}\cite{Berardinelli5glatency}.


\subsubsection{Validation of the theoretical model using COTS receiver}
\label{sub:cotsValidation}
%validation framework

Given the positions of the agents and of the shared satellite at a certain time instant, $t_k$, it is possible to estimate the expected $\sigma_{\hat{d}}$ by knowing the variances of the random variables involved in the \ac{IAR} estimation \eqref{eq:realIAR} (i.e. $\sigma_\tA^2$, $\sigma_\tB^2$, $\sigma_{\hat{\gamma}}^2$). 
The baseline is evaluated through a \ac{IAR} computation based on observations from the experiments and its variance is compared to the variance predicted by \eqref{eq:varIAR_uncorr} in the same conditions.
Equation \eqref{eq:varIAR_uncorr}, used for the computation of the \ac{IAR} standard deviation is used in this case with experimentally-estimated values for the assessment and characterization of \ac{STD}s of the \ac{IAR} measurements. 

%comparison of min and max
The satellites movement along the tests duration induces a change in the \ac{IAR} variance \eqref{eq:varIAR_uncorr} as well. However the difference between the minimum and maximum variance resulted from \eqref{eq:varIAR_uncorr} within the test duration is always below $10^{-5}$\,m in each experiment, thus being negligible. 
As a consequence, the variance of the experimental \ac{IAR}s is compared to the mean of the set of values computed using \eqref{eq:varIAR_uncorr} over the observation window. The result is shown in Figure \ref{fig:newModel}, where the theoretical variance reflects the behaviour of the measured variance for the majority of the satellites. The gaps between the two variances are summarized in Table \ref{tab:variance_error_reduction}, averaging among all the available satellites.

\begin{figure}[h!]
\centering
\includegraphics[width=8.5cm,trim={1cm 0cm 1.5cm 0cm},clip]{estVSmeasIARvariances_v2.eps}
\caption{{\small Inter-Agent Range standard deviation estimated from experimental data compared to theoretical formulas.}}
\label{fig:newModel}
\end{figure} 

\begin{table}
\small
\centering
\caption{\small Comparison between theoretical IAR variance and measured variance. The generalized theoretical formula \eqref{eq:generalizedIARvar} and the theoretical formula with the assumption of null cross-correlation \eqref{eq:varIAR_uncorr} are compared}
\begin{tabular}{cccc}
\toprule
\toprule
\textbf{Experiment} & \textbf{\thead{Gap of\\theoretical\\formula}} & \textbf{\thead{Gap of generalized\\theoretical \\ formula}} & \textbf{Gap reduction} \\ \midrule\midrule
\textbf{S00}   & \SI{0.362}{\meter} & \SI{0.322}{\meter}  & 11.1 \% \\
\textbf{S01}   & \SI{0.749}{\meter}  & \SI{0.698}{\meter}  & 6.8 \% \\
\textbf{S02}   & \SI{0.151}{\meter}  & \SI{0.099}{\meter}  & 34.4 \% \\
\textbf{S03}   & \SI{1.049}{\meter}  & \SI{0.698}{\meter}  & 33.5 \% \\
\textbf{D01}   & \SI{1.683}{\meter}  & \SI{1.094}{\meter}  & 35 \% \\ \bottomrule
\end{tabular}
\label{tab:variance_error_reduction}
\end{table}

% CORRELATION DUE TO NON-ERGODICITY OF THE PROCESS
Equation \eqref{eq:varIAR_uncorr} models the variance of the \ac{IAR} computed from the experimental datasets with a good approximation.
However, the observations of the random variables ($\hat{r}_\tA$, $\hat{r}_\tB$, $\hat{\gamma}$) are collected throughout time and the satellite movement throughout the experiment's duration introduces correlation among the random variables.
Such a \textit{bivariate correlation} can be modelled by the coefficients introduced in \eqref{eq:generalizedVar}, which can be estimated, on $M$ observations, as the \ac{PCC}
\begin{equation}
\label{eq:corrcoefEstimation}
\hat{\alpha}_{ij} = \frac{1}{M-1} \sum_{m=1}^M \left( \frac{X_{i,m}-\mu_{X_i}}{\sigma_{X_i}}\right) \left( \frac{X_{j,m}-\mu_{X_j}}{\sigma_{X_j}}\right) 
\end{equation}
where $X_{i,m}$ is the $m$-th observation of the random variable $X_i$ and referes to the pseudorange measurement observed by the agent $i$.
The correlation coefficients estimated through \eqref{eq:corrcoefEstimation} are employed in the generalized theoretical formula \eqref{eq:generalizedIARvar} to obtain a refined estimation of the \ac{IAR} variance. 
Taking into account the correlation between the measurements, a better correspondence between the theoretical and experimental values is achieved and this improvement is quantified in Table \ref{tab:variance_error_reduction} which highlights a gap reduction between 6.8\% and 35\%, depending on the experimental conditions.

\subsection{Weighted \ac{IAR} measurements}

Considering a network A proper variance estimation can be hence reliably obtained for each \ac{IAR} contributions through \eqref{eq:generalizedIARvar}. If the set of shareable satellites includes more than one satellite,  an effective weighting of the measurements can be applied.

Let suppose that vector $\mathbf{d}_j^{(k)}= [ \begin{array}{cccc} d^{1(k)}_{j} & d^{2(k)}_{j} & \cdots & d^{s(k)}_{j} 
\end{array}]^{\top}$ includes a set of \ac{IAR} measurements computed combining local pseudorange measurements with measurements retrieved from a generic $j$-th agent with respect to all the shareable $s$ satellites, $\mathbf{R}_d^{(k)}$ is the covariance matrix estimated for $\mathbf{d}^{(k)}$ and $\mathbf{J}=[\begin{array}{cccc} 1 & 1 & \cdots & 1 \end{array}]^{\top}$ is a design vector, the minimum variance estimate of $d_{(k)}$ according to the Gauss-Markov theorem is

\begin{equation}
\hat{d}_j^{(k)}= \sigma_{\hat{d}}\left( \mathbf{J}^{\top} \mathbf{W} \mathbf{d}\right)
\label{eq:W-IAR}
\end{equation}

where $\sigma_{\hat{d}}= \mathbf{J}^\top \mathbf{W} \mathbf{J}$ and $\mathbf{W}= \left(\mathbf{R}_d^{(k)} \right)^{-1}$. Equation \eqref{eq:W-IAR} allows to account for correlations among collaborative contributions. In the following the \ac{IAR} method will be always referred to its weighted version, \ac{W-IAR}, thus being more suitable for a comparison with the differential techniques.



%A plot of $\sigma_{\hat{d}}$ computed for the available satellites is shown for three simulation experiments in Figure \ref{fig:sigmaComparison} to assess the theoretical standard deviation model. It is worth to notice that \ac{PRN} 21 and \ac{PRN} 16 returns a valuable match with the analytic extrapolation.


%For other \ac{PRN}s, the difference between measured and theoretically computed $\sigma_{\hat{I}}$ is comparable to the values reported in the skyplots of Figure \ref{fig:skyplotDiff}.
%In fact, in this controlled environment as well, the discrepancies between the theoretical model and the experimental outcome are small due to the limited non-modeled impairments that affect the experimental framework.

%In this controlled environment in fact, the discrepancies between the theoretical model and the experimental outcome can be attributed to the model approximations rather than to non-modeled impairments affecting the experimental framework.


\section{Statistical analysis of baseline estimation techniques}
\label{sec:baseline}

By means of a set of examples obtained for a number of analytical trajectories and Monte Carlo simulation, this section provides an overview of the statistical properties of collaborative baseline measurements obtained in semi-dynamic environment through the combination of independent pseudorange measurements affected by \ac{WGN}. Statistical distribution and cross-correlation among the whole observables set will be discussed for the methods presented in Chapter \ref{ch:rangingAlgorithms} for a single dynamic agent computing multiple collaborative contributions from independent agents.

\begin{figure}
\centering
\includegraphics[width=12cm,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{ch4_generalTraj.pdf}
\caption{{\small Baseline length estimation in simulated vehicular scenario in close proximity assumption.}}
\label{fig:genericSimulation}
\end{figure}
 
%A simple example of such a scenario is provided in Figure \ref{fig:genericSimulation}, where a kinematic agent moving along the solid curve (true trajectory) determines collaborative inter-agent distances from different agents along the path.

\subsubsection{MATLAB Simulation Environment}
A MATLAB\textsuperscript{\textregistered}-based simulation environment was conceived to allow a full control over the simulation parameters characterizing the baseline estimation in dynamic scenarios (i.e. vehicular). In the following, each simulation step is described in detail by addressing a dynamic target vehicle moving along a predefined trajectory and collaborating with fixed agents used as anchors of opportunity, as reported in Figure \ref{fig:genericSimulation}. 

\begin{figure}
\centering
\includegraphics[width=8cm,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{skplotExp.png}
\caption{{\small Example of satellite and aiding agent visibility experienced by a dynamic agent travelling on a predefined trajectory.}}
\label{fig:simuSkyplot}
\end{figure}

\begin{figure}
\centering
\includegraphics[width=12cm,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{lemniscateTraj_peer_lastTrue.png}
\caption{{\small Example of a path based on a Bernoullian lemniscate of \si{1046.7}{m} travelled at an average speed of \si{26.15}{m/s}. The dashed lines
depict the collaborative range measurements retrieved at different time instants.}}
\label{fig:simuTraj}
\end{figure}


\begin{itemize}
\item \textit{Analytic trajectory generation}: A set of analytical trajectories were analysed within the proposed simulation environment. A library of elementary geometrical trajectories such as the Bernoullian lemniscate reported in Figure \ref{fig:simuTraj} were used for the analysis. The trajectory were defined according to the typical test paths used in literature and available in \ac{RFCS}s settings. 

\item \textit{Analytic Dynamic Scenario}: The generated trajectory was travelled by a predefined vehicle within the MATLAB\textsuperscript{\textregistered} Driving Scenario Toolbox. An average tangent speed $\vec{\mathbf{v}}$ can be defined for each node of the trajectory thus providing accurate control over the time evolution of the motion.  

\item \textit{Satellites generation}: satellite constellation can be dynamically generated applying a pre-defined azimuth and elevation mask to simulate limiting visibility conditions.

\item \textit{Aiding network and agents position}: The aiding agents can be generated according to their relative position in terms of azimuth and elevation.
\end{itemize}

\subsection{Cross correlation among standalone GNSS measurements and collaborative baseline length estimation}

With the aim of integrating collaborative measurements as a complementary source of information, it has to be remarked that potential cross correlation will reduce the amount of information carried by each observable to the positioning problem. This aspect will be investigated in detail in Chapter \ref{ch:navFilters} while in this section, the evidence of the cross-correlation among collaborative and standalone measurements is provided for the different \ac{GNSS}-based baseline computation techniques.

\begin{landscape}
\begin{figure}
\centering
\includegraphics[width=20cm,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{correlationPlot.eps}
\caption{{\small Correlation matrix of a set of 10 measurements (5 Inter-agent distances and 5 Normally-distributed pseudorange measurements).}}
\label{fig:corrPlot}
\end{figure}
\end{landscape}

Let us consider a composite measurement vector defined as 

\begin{equation}
\label{eq:measVec1}
\ve{{z}}_{(k)} = 
\begin{bmatrix}
\ve{d}_{(k)}^{\top} & \bm{\rho}_{(k)}^{\top} 
\end{bmatrix}^T
\end{equation}

where $\ve{d}_{(k)}$ is a row vector of collaborative inter-agent distances while  $\bm{\rho}_{(k)}$ is a row vector of standalone pseudorange measurements.

The cross correlation among the terms of $\ve{{z}}_{(k)}$ is defined by means of \ac{PCC} computed through Monte Carlo trials in a finite set of instants $t_k$ identified along the whole simulation timespan. Within a Monte Carlo framework, the pairwise bivariate correlation among two measurements can be determined by means of \ac{PCC}. Given a set of $S$ satellites and $C$ collaborative contributions, a squared \ac{PCC} $(C+S \times  C+S)$ matrix can be built and visualized by means of \textit{correlation matrix}, as shown in the example of Figure \ref{fig:corrPlot}. This example shows the correlation matrix of the measurement vector $\ve{{z}}_{(k)}$ composed by $S=5$ satellites measurements combined with the same measurements provided by $C=5$ agents to retrieve the respective baseline length measurements, at a generic time instant $t_k$. The correlation coefficients are obtained from the observation of 100.000 realizations of the \ac{WGN} samples affecting the pseudorange measurements.

The correlation matrix in Figure \ref{fig:corrPlot} does not provide an evident information along different time epochs, therefore a simplistic visual representation of such coefficients is provided by means of a different correlation plot, according to scheme in Figure \ref{fig:PCCmatrix}. In this plot  the absolute values of the correlation coeffiecients are determined according to

\begin{equation}
\label{eq:PCC}
r_{ij}^{(k)} = \left\lvert \frac{\sum_{n=1}^N \left( z_{i,n}^{(k)} - \bar{z}_i^{(k)} \right) \left( z_{j,n}^{(k)} - \bar{z}_j^{(k)} \right)}{\sqrt{\sum_{n=1}^N\left( z_{i,n}^{(k)} - \bar{z}_i^{(k)} \right)^2}\sqrt{\sum_{n=1}^N\left( z_{j,n}^{(k)} - \bar{z}_j^{(k)} \right)^2}} \right\rvert
\end{equation}

where $N$ is the number of Monte Carlo trials and measurements $z_i$,$z_j$ are respectively the $i$-th and $j$-th measurements of the composite measurement vector $\mathbf{z}^{(k)}$, including standalone and collaborative measurements. Being a normalized coefficient, the values assumed by the generic $r_{ij}^{(k)}$ are mapped in the interval $(0,1)$. Such coefficients are hence visualized by means of a colorscale.

\begin{figure}
\centering
\includegraphics[width=10cm,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{samplePCCmatrix.png}
\caption{{\small \ac{PCC} plot scheme for hybridized measurement vector (Compact representation of the correlation matrix).}}
\label{fig:PCCmatrix}
\end{figure}

With respect to the correlation matrix used in \ref{fig:corrPlot}, this compact representation provides a qualitative overview of the dependency among the measurements dropping the visualization of their statistical behaviour. Indeed, the analysis of the \ac{PDF} of the collaborative measurements will be separately provided in Section \ref{sec:statisticalAn}. Each \ac{PCC} in the \textit{correlation matrix} varies along the time as it can be observed in the sample time series of the \ac{PCC} matrix shown in Figure \ref{fig:PCCmatrixSeries}.

\begin{figure}
\centering
\includegraphics[width=15cm,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{genericTimeSeriesPCC.eps}
\caption{{\small Sample \ac{PCC} matrix time series scheme for hybridized measurement vector including 5 \ac{IAR} and 4 satellites. Colorscale black (0) - white (1).}}
\label{fig:PCCmatrixSeries}
\end{figure}

Recognizable patterns along subsequent time instants show that cross-correlation among the measurements is time-dependent and this is attributed to the slow geometrical changes due to the reciprocal motion of agents and satellites. In the example reported in Figure \ref{fig:PCCmatrixSeries}, the \ac{PCC}s related to standalone measurements are close to zero (black) since the pseudorange measurements are affected by independent \ac{WGN} samples. On the contrary, the \ac{PCC}s related to collaborative measurements show non-negligible cross correlation (grey) with standalone measurements in $t_0$,$t_1$,$t_2$ and strong cross correlation within the collaborative subset in $t_3$ and $t_4$. All the diagonal terms, $r_{ii}$, namely the autocorrelation coefficients, are obviously equal to $1$.

Let analyse a simulation example in selected time instants. The correlation plots are shown in Figure \ref{fig:PCCmatrixSeries} are recomputed for each baseline estimation methods and shown in Figure \ref{fig:multiMethodPCC}. Along the rows it can be noticed that time-dependent changes in correlation coefficients are visible for all the analysed methods.

\begin{figure}
\centering
\includegraphics[width=15cm,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{multimethod.eps}
\caption{{\small PCCs over a selected set of time instants $t_k$ for the measurements set of a dynamic agents travelling over a Bernoullian lemniscate trajectory. Colorscale black (0) - white (1). }}
\label{fig:multiMethodPCC}
\end{figure}

\ac{PCC}s evolution in time appears similar for all the differential techniques at rows $b$,$c$ and $d$ while \ac{IAR} shows different values. It is worth noticing that the left-bottom $(5 \times 5)$ submatrix highlight the uncorrelation among standalone pseudorange measurements which were independently generated affected by Gaussian noise. Differently, cross correlation among collaborative measurements become strong (about $0.5$ at $t_4$ and $t_5$ for all the methods. For this upper-left submatrix the \ac{IAR} measurements show a slight lower correlation on both collaborative and mixed \ac{PCC}.

\subsection{Statistical Distribution of the Baseline Length Error considering independent Gaussian inputs}
\label{sec:statisticalAn}

In this section, the variation of the statistical distribution is observed along the time for dynamic agents and different computation methods. A set of simulation data is reported hereafter showing the behaviour of the error of collaborative measurements w.r.t. to the true baseline length.  


\begin{figure}[!ht]
\centering
\includegraphics[width=0.7\textwidth,trim={0.0cm 0.0cm 0.0cm 0.0cm},clip]{rangingHistogramComparison.eps}
\caption{{\small Snapshot of the estimated probability distribution over 10000 samples taken at a random time instant $t_k$.}}
\label{fig:histrograms}
\end{figure}


%\begin{figure}
%\centering
%\includegraphics[width=15cm,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{ExampleBoxPlot.eps}
%\caption{{\small Sample boxplots showing the different variations in the error \ac{PDF} of the baseline length with \ac{PR},\ac{SD},\ac{IAR},\ac{DD}.}}
%\label{fig:box_bernoullian}
%\end{figure}



\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{0.48\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{IAR_combined_histDistrib.eps}}
        \caption{\ac{IAR}}
        \label{fig:pdf1}
    \end{subfigure}
    \begin{subfigure}[b]{0.48\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{PRR_combined_histDistrib.eps}}
        \caption{\ac{PR}}
        \label{fig:pdf2}
    \end{subfigure}
        \begin{subfigure}[b]{0.48\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{PRR_combined_histDistrib.eps}}
        \caption{\ac{SD}}
        \label{fig:pdf3}
    \end{subfigure}
    \begin{subfigure}[b]{0.48\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{DDR_combined_histDistrib.eps}}
        \caption{\ac{DD}}
        \label{fig:pdf4}
    \end{subfigure}
    \caption{\small{Goodness of fit occurrences for the baseline length error of three independent agents over a Bernoullian trajectory}}
    \label{fig:distribHist}
\end{figure*}

\begin{figure*}[!h]
    \centering
    \begin{subfigure}[b]{1\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{IAR_COMBINED_boxplot.eps}}
        \caption{\ac{IAR}}
        \label{fig:box1}
    \end{subfigure}
    \begin{subfigure}[b]{1\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{PRR_COMBINED_boxplot.eps}}
        \caption{\ac{PR}}
        \label{fig:box2}
    \end{subfigure}
        \begin{subfigure}[b]{1\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{SDR_COMBINED_boxplot.eps}}
        \caption{\ac{SD}}
        \label{fig:box3}
    \end{subfigure}
    \begin{subfigure}[b]{1\textwidth}
{\includegraphics[width=\textwidth,trim={0cm 0cm 0cm 0cm},clip]{DDR_COMBINED_boxplot.eps}}
        \caption{\ac{DD}}
        \label{fig:box4}
    \end{subfigure}
    \caption{\small{Box plot of the time evolution of the \ac{PDF} of the baseline length error for the different methods.}}
    \label{fig:boxPlots}
\end{figure*}

As discussed in Chapter \ref{ch:rangingAlgorithms} and shown in the sample correlation matrix of Figure \ref{fig:corrPlot}, the \ac{PDF} of the baseline length error obtained through differential methods can show a strong skewness. A snapshot of the baseline error \ac{PDF} is provided  length in Figure \ref{fig:histrograms} for the proposed techniques. The plot shows similar behaviour for the legacy approaches (i.e. PR,DD and SD) for which the error \ac{PDF} assumes non-Gaussian behaviour. On the contrary, it is evident that the \ac{IAR} method offers a reduced variance and a Gaussian-like probability distribution.

An analysis of the time-evolution of the statistical distribution of the baseline length was computed over a Bernoullian trajectory and is presented in the boxplots in Figure \ref{fig:boxPlots}. As noticeable from the behaviour of the baseline length, all the methods show a stable distribution at the beginning of the simulation (static agents). When the target agent starts moving, the distribution of the baseline length error shows evident fluctuations in differential techniques. Differential baseline computation methods are hence more sensitive to the relative dynamics of the agents while the \ac{W-IAR} measurements show a higher precision and a more stable behaviour along the simulation time. 

A \ac{BIC} has been used within the Monte Carlo simulation to classify the error \ac{PDF} of the baseline length estimations. The output occurrences along the simulation timespan were normalized by the total simulation time to provide the percentage of occurrence of each tested distribution. The true distance was subtracted to the estimated quantity for $3$ different aiding agents. For each aiding agent, histograms were generated showing the percentage of occurrences of the most representative distributions for each baseline estimation technique.  According to the plots in Figure \ref{fig:distribHist}, \ac{W-IAR} measurements show a Gaussian distribution for the most of the simulation time while differential techniques behave according to more skew statistical distributions such as Rayleigh and \ac{GEV}). It worth mentioning that \ac{PR} and \ac{SD} show the same statistics thus being equivalent in terms of statistical properties.

\section{Final remarks}
It can be shown that the general behaviour which characterize the baseline length estimation presented in this chapter is strongly recurrent in different analytic trajectories. According to the aforementioned statistical  analysis, when unbiased Gaussian-distributed pseudorange measurements are combined for building collaborative baseline length measurements, \ac{IAR} is a powerful method for obtaining low variance and stable measurements with good cross-correlation properties but on the other side it does not allow to deal effectively with error cancellation as for differential techniques. On the other hand, according to the theoretical aspects and the example shown in Figure \ref{fig:boxPlots}, the standard deviation of differential approaches is approximately 4 times the standard deviation of the \ac{W-IAR}. \ac{IAR} is hence suitable for the combination of corrected pseudoranges while differential techniques still offers the best performances with raw measurements. Despite of the non-linearity of the \ac{IAR} equation \eqref{eq:idealIAR}, the error distribution has been verified to be mostly Normal \cite{minetto2018PLANS} so that the analysis of the first and second order moments is sufficient to reliably describe the statistical behaviour of the measurements obtained through this technique.

%\section{Experimental comparison among GNSS-based baseline computation methods} 
%
%Figure \ref{fig:S01020304} presents the performance observed in the scenarios listed in Table \ref{tab:tests}, in which the \ac{IAR} measurements errors are compared to the techniques presented in Chapter \ref{ch:rangingAlgorithms}, along the selected epochs. The \ac{PR} method proposed in \cite{tahir2018accuracy} is dropped due to its strong similarity to \ac{SD}. It is worth to notice that a proper satellite choice returns remarkable ranging performance overcoming on average both \ac{APD} and \ac{SD} methods in scenarios S01 and S02 of Table \ref{tab:tests}.
%The satellite that minimizes the estimated \ac{IAR} variance is chosen a priori through \eqref{eq:varIAR_uncorr} and the resulting baseline estimation is compared to the other methods.
%Standard deviations estimated along the epochs for each experiment are reported in Table \ref{tab:std}. It can be noticed that the IAR presents comparable performance w.r.t. SD and it outperforms APD in S00, S03 and D01.
%
%\begin{table}[h!]
%\footnotesize
%\centering
%\caption{Estimated standard deviations of ranging techniques within real experiment in urban environment.}
%\label{tab:std}
%\begin{tabular}{cccc}
%\toprule\toprule
%\textbf{Test Scenario}   & \textbf{IAR}(Single satellite) (m)    & \textbf{APD} (m) 	    & \textbf{SD} (m) \\ \midrule\midrule
%\textbf{S00}    & 0.5490         & 1.4469          	& 0.9080 	 \\
%\textbf{S01}    & 2.4344 	    & 2.3830          	& 1.4381     \\	
%\textbf{S02}    & 1.4763 		& 1.0544       	    & 0.6702     \\
%\textbf{S03}    & 4.6664         & 7.3327     	    & 6.8653     \\ 
%\textbf{D01}    & 2.8590  	    & 3.5012  			& 2.8954     \\ \bottomrule
%\end{tabular}
%\end{table}
%
%\begin{figure}[h!]
%\centering
%\includegraphics[width=8.5cm,trim={0.8cm 0cm 1.2cm 0cm},clip]{fullComparisonError_new_v2.eps}
%\caption{{\small Inter-Agent Range estimation error from static experiments of Table \ref{tab:tests} compared with relevant state-of-the-art techniques in Table \ref{tab:tabRangingMethods}. Maximum $\Delta t$ considered $50 \cdot 10^{-3}$ s.}}
%\label{fig:S01020304}
%\end{figure} 
%
%\begin{figure}
%\centering
%\includegraphics[width=8.5cm,trim={1.0cm 0cm 1cm 0cm},clip]{Inter_Agent_Range_RAWmeasurements.eps}
%\caption{{\small Results of cooperative ranging in dynamic scenario. Comparison of proposed IAR technique and state-of-the-art GNSS-based ranging methods. Maximum $\Delta t$ considered $50 \cdot 10^{-3}$ s.}}
%\label{fig:D01}
%\end{figure} 
%
%The dynamic scenario D01 described by Figure \ref{fig:D01}, shows that the IAR measurements (which require a single shared satellite) have an appreciable match to the true baseline w.r.t. the other techniques. The baseline error of the estimated IAR shown in the lower plot appears very sensitive to the dynamics of the multi-agent system. This experimental result is in accordance with the spatial distributions of IAR bias and variance presented in Section \ref{sec:IARestimation}. %The method reaches profitable values only in a small set of epochs.
